package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjFdsgcsDcylZjymdtjb;

/**
 * 邻井钻井液密度统计Mapper接口
 * 
 * @author ruoyi
 * @date 2025-12-04
 */
public interface SjFdsgcsDcylZjymdtjbMapper 
{
    /**
     * 查询邻井钻井液密度统计
     * 
     * @param id 邻井钻井液密度统计主键
     * @return 邻井钻井液密度统计
     */
    public SjFdsgcsDcylZjymdtjb selectSjFdsgcsDcylZjymdtjbById(Long id);

    /**
     * 查询邻井钻井液密度统计列表
     * 
     * @param sjFdsgcsDcylZjymdtjb 邻井钻井液密度统计
     * @return 邻井钻井液密度统计集合
     */
    public List<SjFdsgcsDcylZjymdtjb> selectSjFdsgcsDcylZjymdtjbList(SjFdsgcsDcylZjymdtjb sjFdsgcsDcylZjymdtjb);

    /**
     * 新增邻井钻井液密度统计
     * 
     * @param sjFdsgcsDcylZjymdtjb 邻井钻井液密度统计
     * @return 结果
     */
    public int insertSjFdsgcsDcylZjymdtjb(SjFdsgcsDcylZjymdtjb sjFdsgcsDcylZjymdtjb);

    /**
     * 修改邻井钻井液密度统计
     * 
     * @param sjFdsgcsDcylZjymdtjb 邻井钻井液密度统计
     * @return 结果
     */
    public int updateSjFdsgcsDcylZjymdtjb(SjFdsgcsDcylZjymdtjb sjFdsgcsDcylZjymdtjb);

    /**
     * 删除邻井钻井液密度统计
     * 
     * @param id 邻井钻井液密度统计主键
     * @return 结果
     */
    public int deleteSjFdsgcsDcylZjymdtjbById(Long id);

    /**
     * 批量删除邻井钻井液密度统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFdsgcsDcylZjymdtjbByIds(Long[] ids);

    int deleteSjFdsgcsDcylZjymdtjbByJh(String jh);

    int insertSjFdsgcsDcylZjymdtjbBatch(List<SjFdsgcsDcylZjymdtjb> zjymdtjbList);

}
